#Module-Specific definitions
%define apache_version 2.2.4
%define mod_name mod_auth_radius
%define mod_conf 14_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Mod_radius is a DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	1.5.7
Release:	%mkrel 7
Group:		System/Servers
License:	Apache License
URL:		http://www.freeradius.org/mod_auth_radius/
Source0:	ftp://ftp.freeradius.org/pub/radius/mod_auth_radius.tar.bz2
Source1:	%{mod_conf}
Patch0:		mod_auth_radius-1.5.7-CAN2005-0108.diff
Patch1:		mod_auth_radius-2.0.c.diff
Patch2:		mod_auth_radius-1.5.7-apr1.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= %{apache_version}
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
Epoch:		2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Make apache a RADIUS client for authentication and accounting requests.

%prep

%setup -q -n mod_auth_radius-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

cp mod_auth_radius-2.0.c mod_auth_radius.c
cp %{SOURCE1} %{mod_conf}

%build
%{_sbindir}/apxs -c mod_auth_radius.c -Wl,-lresolv

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README htaccess httpd.conf index.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.7-7mdv2007.1
+ Revision: 140578
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.7-6mdv2007.1
+ Revision: 126606
- general cleanups

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.7-5mdv2007.0
+ Revision: 79231
- Import apache-mod_auth_radius



* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.7-5mdv2007.0
- rebuild

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.7-4mdk
- rebuilt against apache-2.2.0

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.7-3mdk
- rebuilt to provide a -debug package too

* Sun Oct 16 2005 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.7-2mdk
- rebuilt against correct apr-0.9.7

* Fri Oct 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.7-1mdk
- rebuilt for apache-2.0.55

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.5.7-4mdk
- added another work around for a rpm bug

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.5.7-3mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.54_1.5.7-2mdk
- use epoch 1

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.5.7-1mdk
- use the code from freeradius.org instead as the previous one 
  won't compile with gcc4
- dropped the old patches and added one new one from cvs and a
  fix for CAN2005-0108 by debian.
- new config file (14_mod_auth_radius.conf)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.7PR1-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.7PR1-6mdk
- use the %%mkrel macro

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.7PR1-5mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_1.7PR1-4mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.7PR1-3mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.7PR1-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.7PR1-1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.7PR1-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_1.7PR1-1mdk
- built for apache 2.0.51

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.7PR1-3mdk
- rebuilt

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.7PR1-2mdk
- remove redundant provides

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.7PR1-1mdk
- built for apache 2.0.50

* Fri Jun 11 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.7PR1-1mdk
- built for apache 2.0.49

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.7PR1-1mdk
- built for apache 2.0.48

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 2.0.47_1.7PR1-2mdk
- Rebuild to fix bad signature

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.7PR1-1mdk
- rebuilt against latest apache2, requires and buildrequires
- added P2 to make it compile

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.7PR1-1mdk
- rebuilt for apache v2.0.46
- buildrequires ADVX-build >= 9.2

* Fri Apr 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.7PR1-1mdk
- cosmetic rebuild for apache v2.0.45

* Fri Feb 28 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.7PR1-2mdk
- Fix segfault when hostname is invalid

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.7PR1-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.7PR1-6mdk
- fix buildrequires apache-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.7PR1-5mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.7PR1-4mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.7PR1-3mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Tue Oct 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.7PR1-2mdk
- extra modules needs to be loaded _before_ mod_ssl, mod_php and mod_perl
  in order to show up in the server string...

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.7PR1-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_1.7PR1-5mdk
- P0 was not applied, i wonder why not?, it is now

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_1.7PR1-4mdk
- rebuilt against new apache v2.0.42

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_1.7PR1-3mdk
- Comply with ADVX policy at http://advx.org/devel/policy.php
- Add Register patch

* Mon Aug 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.7PR1-2mdk
- add %%description ;)

* Mon Aug 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.7PR1-1mdk
- initial cooker contrib
